> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Suspend instance

> When you suspend a server, its VM state is stored on disk, all memory is written to disk,
and the virtual machine is stopped.
Suspending a server is similar to placing a device in hibernation,
and its occupied resource will not be freed but rather kept for when the server is resumed.
Required VM state: Active, Shutoff



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml post /cloud/v1/instances/{project_id}/{region_id}/{instance_id}/suspend
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/instances/{project_id}/{region_id}/{instance_id}/suspend:
    post:
      tags:
        - Instances
      summary: Suspend instance
      description: >-
        When you suspend a server, its VM state is stored on disk, all memory is
        written to disk,

        and the virtual machine is stopped.

        Suspending a server is similar to placing a device in hibernation,

        and its occupied resource will not be freed but rather kept for when the
        server is resumed.

        Required VM state: Active, Shutoff
      operationId: InstanceSuspendHandler.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: instance_id
          required: true
          description: Instance ID
          schema:
            type: string
      responses:
        '200':
          description: Returned instance
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstanceCollectionSerializer'
      deprecated: true
components:
  schemas:
    InstanceCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/InstanceSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: InstanceCollectionSerializer
      type: object
    InstanceSerializer:
      properties:
        addresses:
          additionalProperties:
            items:
              anyOf:
                - $ref: '#/components/schemas/InstanceFloatingAddressSerializer'
                - $ref: '#/components/schemas/InstanceFixedAddressShortSerializer'
                - $ref: '#/components/schemas/InstanceFixedAddressSerializer'
            type: array
          description: Map of `network_name` to list of addresses in that network
          title: Addresses
          type: object
        blackhole_ports:
          description: >-
            IP addresses of the instances that are blackholed by DDoS mitigation
            system
          items:
            $ref: '#/components/schemas/BlackholePortSerializer'
          title: Blackhole Ports
          type: array
        created_at:
          description: Datetime when instance was created
          example: '2023-11-29T10:56:49Z'
          examples:
            - '2023-11-29T10:56:49Z'
          format: date-time
          title: Created At
          type: string
        creator_task_id:
          anyOf:
            - type: string
            - type: 'null'
          description: Task that created this entity
          title: Creator Task Id
        ddos_profile:
          anyOf:
            - $ref: '#/components/schemas/GetClientProfileSerializer'
            - type: 'null'
          description: >-
            Advanced DDoS protection profile. It is always `null` if query
            parameter `with_ddos=true` is not set.
        fixed_ip_assignments:
          anyOf:
            - items:
                $ref: '#/components/schemas/IpAssignmentsSerializer'
              type: array
            - type: 'null'
          description: Fixed IP assigned to instance
          title: Fixed Ip Assignments
        flavor:
          anyOf:
            - $ref: '#/components/schemas/InstanceFlavorSerializer'
            - $ref: '#/components/schemas/BareMetalFlavorSerializer'
            - $ref: '#/components/schemas/DeprecatedGpuClusterFlavorSerializer'
          description: Flavor
          title: Flavor
        id:
          description: Instance ID
          example: 6c6aa80f-7836-4dc2-a2ae-125e248be476
          examples:
            - 6c6aa80f-7836-4dc2-a2ae-125e248be476
          format: uuid4
          title: Id
          type: string
        instance_description:
          anyOf:
            - type: string
            - type: 'null'
          description: Instance description
          examples:
            - Instance description
          title: Instance Description
        instance_isolation:
          anyOf:
            - $ref: '#/components/schemas/IsolationSerializer'
            - type: 'null'
          description: Instance isolation information
        name:
          description: Instance name
          example: my-instance-1
          examples:
            - my-instance-1
          title: Name
          type: string
        project_id:
          description: Project ID
          example: 111
          examples:
            - 111
          title: Project Id
          type: integer
        region:
          description: Region name
          example: Luxembourg
          examples:
            - Luxembourg
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 4
          examples:
            - 4
          title: Region Id
          type: integer
        security_groups:
          description: Security groups
          items:
            $ref: '#/components/schemas/NameSerializerPydantic'
          title: Security Groups
          type: array
        ssh_key_name:
          anyOf:
            - type: string
            - type: 'null'
          description: SSH key assigned to instance
          title: Ssh Key Name
        status:
          $ref: '#/components/schemas/InstanceStatus'
          description: Instance status
          examples:
            - ACTIVE
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        task_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          examples:
            - null
          title: Task Id
        task_state:
          anyOf:
            - type: string
            - type: 'null'
          description: Task state
          title: Task State
        vm_state:
          $ref: '#/components/schemas/InstanceVMState'
          description: Virtual machine state (active)
          examples:
            - active
        volumes:
          description: List of volumes
          items:
            $ref: '#/components/schemas/InstanceVolumeSerializer'
          title: Volumes
          type: array
      required:
        - id
        - name
        - created_at
        - status
        - vm_state
        - volumes
        - flavor
        - tags
        - instance_description
        - addresses
        - security_groups
        - ssh_key_name
        - creator_task_id
        - task_state
        - task_id
        - blackhole_ports
        - ddos_profile
        - fixed_ip_assignments
        - instance_isolation
        - region
        - region_id
        - project_id
      title: InstanceSerializer
      type: object
    InstanceFloatingAddressSerializer:
      description: Schema for `floating` addresses.
      properties:
        addr:
          description: Address
          example: 10.0.0.17
          examples:
            - 10.0.0.17
          title: Addr
          type: string
        type:
          const: floating
          description: Type of the address
          example: fixed
          examples:
            - fixed
          title: Type
          type: string
      required:
        - addr
        - type
      title: Floating IP Address
      type: object
    InstanceFixedAddressShortSerializer:
      description: >-
        Schema for `fixed` addresses. This schema is used when listing
        instances.

        It omits the `subnet_name` and `subnet_id` fields.
      properties:
        addr:
          description: IP address
          example: 10.0.0.17
          examples:
            - 10.0.0.17
          title: Addr
          type: string
        interface_name:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Interface name. This field will be `null` if
            `with_interfaces_name=true` is not set in the request when listing
            instances. It will also be `null` if the `interface_name` was not
            specified during instance creation or when attaching the interface.
          examples:
            - my-interface
          title: Interface Name
        type:
          const: fixed
          description: Type of the address
          example: fixed
          examples:
            - fixed
          title: Type
          type: string
      required:
        - addr
        - type
        - interface_name
      title: Fixed IP Address (short)
      type: object
    InstanceFixedAddressSerializer:
      description: >-
        Schema for `fixed` addresses. This schema is used when fetching a single
        instance.
      properties:
        addr:
          description: IP address
          example: 10.0.0.17
          examples:
            - 10.0.0.17
          title: Addr
          type: string
        interface_name:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Interface name. This field will be `null` if
            `with_interfaces_name=true` is not set in the request when listing
            instances. It will also be `null` if the `interface_name` was not
            specified during instance creation or when attaching the interface.
          examples:
            - my-interface
          title: Interface Name
        subnet_id:
          description: >-
            The unique identifier of the subnet associated with this address.
            Included only in the response for a single-resource lookup (GET by
            ID). For the trunk subports, this field is always set.
          example: ba83aec4-7bc1-4979-b934-a11fc1d36cf3
          examples:
            - ba83aec4-7bc1-4979-b934-a11fc1d36cf3
          title: Subnet Id
          type: string
        subnet_name:
          description: >-
            The name of the subnet associated with this address. Included only
            in the response for a single-resource lookup (GET by ID). For the
            trunk subports, this field is always set.
          example: my-subnet
          examples:
            - my-subnet
          title: Subnet Name
          type: string
        type:
          const: fixed
          description: Type of the address
          example: fixed
          examples:
            - fixed
          title: Type
          type: string
      required:
        - addr
        - type
        - interface_name
        - subnet_name
        - subnet_id
      title: Fixed IP Address
      type: object
    BlackholePortSerializer:
      properties:
        AlarmEnd:
          description: >-
            A date-time string giving the time that the alarm ended. If not yet
            ended, time will be given as 0001-01-01T00:00:00Z
          example: '2025-02-05 12:04:30'
          examples:
            - '2025-02-05 12:04:30'
          format: date-time
          title: Alarmend
          type: string
        AlarmStart:
          description: A date-time string giving the time that the alarm started
          example: '2025-02-05 12:04:11'
          examples:
            - '2025-02-05 12:04:11'
          format: date-time
          title: Alarmstart
          type: string
        AlarmState:
          $ref: '#/components/schemas/BlackholePortAlarmState'
          description: Current state of alarm
          examples:
            - alarm
        AlertDuration:
          description: Total alert duration
          example: 2 hours
          examples:
            - 2 hours
          title: Alertduration
          type: string
        DestinationIP:
          description: Notification destination IP address
          example: 80.240.114.116
          examples:
            - 80.240.114.116
          title: Destinationip
          type: string
        ID:
          description: ''
          title: Id
          type: integer
      required:
        - ID
        - AlarmState
        - AlarmStart
        - AlarmEnd
        - AlertDuration
        - DestinationIP
      title: BlackholePortSerializer
      type: object
    GetClientProfileSerializer:
      properties:
        fields:
          description: List of configured field values for the protection profile
          items:
            $ref: '#/components/schemas/ClientProfileFieldSerializer'
          title: Fields
          type: array
        id:
          description: Unique identifier for the DDoS protection profile
          example: 0
          examples:
            - 0
          title: Id
          type: integer
        options:
          $ref: '#/components/schemas/ProfileOptionsSerializer'
          description: Configuration options controlling profile activation and BGP routing
          examples:
            - active: true
              bgp: true
        profile_template:
          anyOf:
            - $ref: '#/components/schemas/ClientProfileTemplateSerializer'
            - type: 'null'
          description: Complete template configuration data used for this profile
        profile_template_description:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Detailed description of the protection template used for this
            profile
          examples:
            - ARK server ports. Valid port values are in range 1000-65535
          title: Profile Template Description
        protocols:
          anyOf:
            - items:
                $ref: '#/components/schemas/ProtocolsOnPortSerializer'
              type: array
            - type: 'null'
          description: List of network protocols and ports configured for protection
          examples:
            - - port: '80'
                protocols:
                  - TCP
                  - HTTP
              - port: '53'
                protocols:
                  - UDP
          title: Protocols
        site:
          anyOf:
            - maxLength: 50
              type: string
            - type: 'null'
          description: Geographic site identifier where the protection is deployed
          examples:
            - ED
          title: Site
        status:
          anyOf:
            - $ref: '#/components/schemas/DdosProfileStatusSerializer'
            - type: 'null'
          description: Current operational status and any error information for the profile
          examples:
            - error_description: ''
              status: Updated
      required:
        - id
        - options
        - site
        - protocols
        - status
        - profile_template_description
        - profile_template
        - fields
      title: GetClientProfileSerializer
      type: object
    IpAssignmentsSerializer:
      properties:
        external:
          description: Is network external
          title: External
          type: boolean
        ip_address:
          description: Ip address
          example: 123.123.123.1
          examples:
            - 123.123.123.1
          title: Ip Address
          type: string
        subnet_id:
          description: Interface subnet id
          example: eaafdc3c-f48b-4eb4-826f-057dfc7d6476
          examples:
            - eaafdc3c-f48b-4eb4-826f-057dfc7d6476
          title: Subnet Id
          type: string
      required:
        - subnet_id
        - ip_address
        - external
      title: IpAssignmentsSerializer
      type: object
    InstanceFlavorSerializer:
      description: Instances flavor schema embedded into instance schema
      properties:
        architecture:
          description: CPU architecture
          example: x86_64
          examples:
            - x86_64
          title: Architecture
          type: string
        flavor_id:
          description: Flavor ID is the same as name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Id
          type: string
        flavor_name:
          description: Flavor name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Name
          type: string
        hardware_description:
          $ref: '#/components/schemas/InstanceFlavorHardwareDescriptionSerializer'
          description: Additional hardware description
        os_type:
          description: Flavor operating system
          example: linux
          examples:
            - linux
          title: Os Type
          type: string
        ram:
          description: RAM size in MiB
          example: 2048
          examples:
            - 2048
          title: Ram
          type: integer
        vcpus:
          description: Virtual CPU count. For bare metal flavors, it's a physical CPU count
          example: 1
          examples:
            - 1
          title: Vcpus
          type: integer
      required:
        - flavor_id
        - flavor_name
        - vcpus
        - ram
        - hardware_description
        - os_type
        - architecture
      title: Instance flavor
      type: object
    BareMetalFlavorSerializer:
      description: Bare metal flavor schema embedded into instance schema
      properties:
        architecture:
          description: CPU architecture
          example: x86_64
          examples:
            - x86_64
          title: Architecture
          type: string
        flavor_id:
          description: Flavor ID is the same as name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Id
          type: string
        flavor_name:
          description: Flavor name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Name
          type: string
        hardware_description:
          $ref: '#/components/schemas/BareMetalFlavorHardwareDescriptionSerializer'
          description: Additional hardware description
        os_type:
          description: Operating system
          example: linux
          examples:
            - linux
          title: Os Type
          type: string
        ram:
          description: RAM size in MiB
          example: 2048
          examples:
            - 2048
          title: Ram
          type: integer
        resource_class:
          description: Flavor resource class for mapping to hardware capacity
          example: bm2-hf-medium
          examples:
            - bm2-hf-medium
          title: Resource Class
          type: string
        vcpus:
          description: Virtual CPU count. For bare metal flavors, it's a physical CPU count
          example: 1
          examples:
            - 1
          title: Vcpus
          type: integer
      required:
        - flavor_id
        - flavor_name
        - vcpus
        - ram
        - hardware_description
        - os_type
        - architecture
        - resource_class
      title: Bare metal flavor
      type: object
    DeprecatedGpuClusterFlavorSerializer:
      description: GPU cluster flavor schema embedded into instance schema
      properties:
        architecture:
          description: CPU architecture
          example: x86_64
          examples:
            - x86_64
          title: Architecture
          type: string
        flavor_id:
          description: Flavor ID is the same as name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Id
          type: string
        flavor_name:
          description: Flavor name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Name
          type: string
        hardware_description:
          $ref: >-
            #/components/schemas/DeprecatedAIClusterServerFlavorHardwareDescriptionSerializer
          description: Additional hardware description
        os_type:
          description: Operating system
          example: linux
          examples:
            - linux
          title: Os Type
          type: string
        ram:
          description: RAM size in MiB
          example: 2048
          examples:
            - 2048
          title: Ram
          type: integer
        resource_class:
          description: Flavor resource class for mapping to hardware capacity
          example: bm2-hf-medium
          examples:
            - bm2-hf-medium
          title: Resource Class
          type: string
        vcpus:
          description: Virtual CPU count. For bare metal flavors, it's a physical CPU count
          example: 1
          examples:
            - 1
          title: Vcpus
          type: integer
      required:
        - flavor_id
        - flavor_name
        - vcpus
        - ram
        - hardware_description
        - os_type
        - architecture
        - resource_class
      title: GPU cluster flavor
      type: object
    IsolationSerializer:
      properties:
        reason:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            The reason of instance isolation if it is isolated from external
            internet.
          examples:
            - Suspicious activities
          title: Reason
      title: IsolationSerializer
      type: object
    NameSerializerPydantic:
      properties:
        name:
          description: Name.
          example: some_name
          examples:
            - some_name
          pattern: ^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$
          title: Name
          type: string
      required:
        - name
      title: NameSerializerPydantic
      type: object
    InstanceStatus:
      enum:
        - ACTIVE
        - BUILD
        - DELETED
        - ERROR
        - HARD_REBOOT
        - MIGRATING
        - PASSWORD
        - PAUSED
        - REBOOT
        - REBUILD
        - RESCUE
        - RESIZE
        - REVERT_RESIZE
        - SHELVED
        - SHELVED_OFFLOADED
        - SHUTOFF
        - SOFT_DELETED
        - SUSPENDED
        - UNKNOWN
        - VERIFY_RESIZE
      title: InstanceStatus
      type: string
    TagSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      properties:
        key:
          description: >-
            Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag
          examples:
            - my-tag
          title: Key
          type: string
        read_only:
          description: If true, the tag is read-only and cannot be modified by the user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        value:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag-value
          examples:
            - my-tag-value
          title: Value
          type: string
      required:
        - key
        - value
        - read_only
      title: TagSerializer
      type: object
    InstanceVMState:
      enum:
        - active
        - building
        - deleted
        - error
        - paused
        - rescued
        - resized
        - shelved
        - shelved_offloaded
        - soft-deleted
        - stopped
        - suspended
      title: InstanceVMState
      type: string
    InstanceVolumeSerializer:
      properties:
        delete_on_termination:
          description: Whether the volume is deleted together with the VM
          title: Delete On Termination
          type: boolean
        id:
          description: Volume ID
          title: Id
          type: string
      required:
        - id
        - delete_on_termination
      title: InstanceVolumeSerializer
      type: object
    BlackholePortAlarmState:
      enum:
        - ACK_REQ
        - ALARM
        - ARCHIVED
        - CLEAR
        - CLEARING
        - CLEARING_FAIL
        - END_GRACE
        - END_WAIT
        - MANUAL_CLEAR
        - MANUAL_CLEARING
        - MANUAL_CLEARING_FAIL
        - MANUAL_MITIGATING
        - MANUAL_STARTING
        - MANUAL_STARTING_FAIL
        - MITIGATING
        - STARTING
        - STARTING_FAIL
        - START_WAIT
        - ack_req
        - alarm
        - archived
        - clear
        - clearing
        - clearing_fail
        - end_grace
        - end_wait
        - manual_clear
        - manual_clearing
        - manual_clearing_fail
        - manual_mitigating
        - manual_starting
        - manual_starting_fail
        - mitigating
        - start_wait
        - starting
        - starting_fail
      title: BlackholePortAlarmState
      type: string
    ClientProfileFieldSerializer:
      properties:
        base_field:
          description: ID of DDoS profile field
          example: 10
          examples:
            - 10
          title: Base Field
          type: integer
        default:
          anyOf:
            - maxLength: 100
              type: string
            - type: 'null'
          description: Predefined default value for the field if not specified
          examples:
            - null
          title: Default
        description:
          anyOf:
            - maxLength: 255
              type: string
            - type: 'null'
          description: >-
            Detailed description explaining the field's purpose and usage
            guidelines
          examples:
            - ARK server ports. Valid port values are in range 1000-65535
          title: Description
        field_type:
          anyOf:
            - type: string
            - type: 'null'
          description: Data type classification of the field (e.g., string, integer, array)
          examples:
            - null
          title: Field Type
        field_value:
          description: Complex value for the DDoS profile field
          examples:
            - 45046
            - 45047
          title: Field Value
        id:
          description: Unique identifier for the DDoS protection field
          example: 11
          examples:
            - 11
          title: Id
          type: integer
        name:
          description: Human-readable name of the protection field
          example: ARK Ports
          examples:
            - ARK Ports
          maxLength: 30
          title: Name
          type: string
        required:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether this field must be provided when creating a
            protection profile
          examples:
            - true
          title: Required
        validation_schema:
          description: >-
            JSON schema defining validation rules and constraints for the field
            value
          examples:
            - items:
                maximum: 65535
                minimum: 1000
                type: integer
              minItems: 1
              type: array
          title: Validation Schema
      required:
        - id
        - name
        - description
        - field_type
        - required
        - default
        - validation_schema
        - field_value
        - base_field
      title: ClientProfileFieldSerializer
      type: object
    ProfileOptionsSerializer:
      properties:
        active:
          description: >-
            Controls whether the DDoS protection profile is enabled and actively
            protecting the resource
          example: true
          examples:
            - true
          title: Active
          type: boolean
        bgp:
          description: >-
            Enables Border Gateway Protocol (BGP) routing for DDoS protection
            traffic
          example: true
          examples:
            - true
          title: Bgp
          type: boolean
      required:
        - active
        - bgp
      title: ProfileOptionsSerializer
      type: object
    ClientProfileTemplateSerializer:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Detailed description explaining the template's purpose and use cases
          examples:
            - description
          title: Description
        fields:
          description: >-
            List of configurable fields that define the template's protection
            parameters
          items:
            $ref: '#/components/schemas/ClientProfileTemplateFieldSerializer'
          title: Fields
          type: array
        id:
          description: Unique identifier for the DDoS protection template
          example: 123
          examples:
            - 123
          title: Id
          type: integer
        name:
          description: Human-readable name of the protection template
          example: ICMP port
          examples:
            - ICMP port
          maxLength: 100
          title: Name
          type: string
      required:
        - id
        - name
        - description
        - fields
      title: ClientProfileTemplateSerializer
      type: object
    ProtocolsOnPortSerializer:
      properties:
        port:
          description: Network port number for which protocols are configured
          example: '80'
          examples:
            - '80'
          title: Port
          type: string
        protocols:
          description: List of network protocols enabled on the specified port
          example:
            - TCP
            - HTTP
          examples:
            - - TCP
              - HTTP
          items:
            type: string
          title: Protocols
          type: array
      required:
        - port
        - protocols
      title: ProtocolsOnPortSerializer
      type: object
    DdosProfileStatusSerializer:
      properties:
        error_description:
          description: >-
            Detailed error message describing any issues with the profile
            operation
          example: An error occured while deleting profile
          examples:
            - An error occured while deleting profile
          title: Error Description
          type: string
        status:
          description: Current operational status of the DDoS protection profile
          example: Error Deleting
          examples:
            - Error Deleting
          maxLength: 30
          minLength: 3
          title: Status
          type: string
      required:
        - status
        - error_description
      title: DdosProfileStatusSerializer
      type: object
    InstanceFlavorHardwareDescriptionSerializer:
      properties:
        ram:
          description: RAM description
          example: '16384'
          examples:
            - '16384'
          title: Ram
          type: string
        vcpus:
          description: CPU description
          example: '16'
          examples:
            - '16'
          title: Vcpus
          type: string
      required:
        - vcpus
        - ram
      title: InstanceFlavorHardwareDescriptionSchema hardware hints for a flavor
      type: object
    BareMetalFlavorHardwareDescriptionSerializer:
      properties:
        cpu:
          description: Human-readable CPU description
          example: 1x Intel Xeon 4C/8T 3.7 GHz
          examples:
            - 1x Intel Xeon 4C/8T 3.7 GHz
          title: Cpu
          type: string
        disk:
          description: Human-readable disk description
          example: 2x 250GiB SSD
          examples:
            - 2x 250GiB SSD
          title: Disk
          type: string
        license:
          description: If the flavor is licensed, this field contains the license type
          example: Windows License
          examples:
            - Windows License
          title: License
          type: string
        network:
          description: Human-readable NIC description
          example: 1x 500Mbps
          examples:
            - 1x 500Mbps
          title: Network
          type: string
        ram:
          description: Human-readable RAM description
          example: 32 GiB
          examples:
            - 32 GiB
          title: Ram
          type: string
      required:
        - cpu
        - ram
        - disk
        - license
        - network
      title: Detailed flavor hardware description of bare metal server flavor
      type: object
    DeprecatedAIClusterServerFlavorHardwareDescriptionSerializer:
      properties:
        cpu:
          description: Human-readable CPU description
          example: 1x Intel Xeon 4C/8T 3.7 GHz
          examples:
            - 1x Intel Xeon 4C/8T 3.7 GHz
          title: Cpu
          type: string
        disk:
          description: Human-readable disk description
          example: 2x 250GiB SSD
          examples:
            - 2x 250GiB SSD
          title: Disk
          type: string
        gpu:
          description: Human-readable GPU description
          example: NVIDIA h100-8GPU (80GB)
          examples:
            - NVIDIA h100-8GPU (80GB)
          title: Gpu
          type: string
        license:
          description: If the flavor is licensed, this field contains the license type
          example: ''
          examples:
            - ''
          title: License
          type: string
        network:
          description: Human-readable NIC description
          example: 1x 500Mbps
          examples:
            - 1x 500Mbps
          title: Network
          type: string
        ram:
          description: Human-readable RAM description
          example: 32 GiB
          examples:
            - 32 GiB
          title: Ram
          type: string
      required:
        - cpu
        - ram
        - disk
        - license
        - network
        - gpu
      title: Detailed flavor hardware description of GPU cluster server flavor
      type: object
    ClientProfileTemplateFieldSerializer:
      properties:
        default:
          anyOf:
            - maxLength: 100
              type: string
            - type: 'null'
          description: Predefined default value for the field if not specified
          examples:
            - null
          title: Default
        description:
          anyOf:
            - maxLength: 255
              type: string
            - type: 'null'
          description: >-
            Detailed description explaining the field's purpose and usage
            guidelines
          examples:
            - ARK server ports. Valid port values are in range 1000-65535
          title: Description
        field_type:
          anyOf:
            - type: string
            - type: 'null'
          description: Data type classification of the field (e.g., string, integer, array)
          examples:
            - null
          title: Field Type
        id:
          description: Unique identifier for the DDoS protection field
          example: 11
          examples:
            - 11
          title: Id
          type: integer
        name:
          description: Human-readable name of the protection field
          example: ARK Ports
          examples:
            - ARK Ports
          maxLength: 30
          title: Name
          type: string
        required:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Indicates whether this field must be provided when creating a
            protection profile
          examples:
            - true
          title: Required
        validation_schema:
          description: >-
            JSON schema defining validation rules and constraints for the field
            value
          examples:
            - items:
                maximum: 65535
                minimum: 1000
                type: integer
              minItems: 1
              type: array
          title: Validation Schema
      required:
        - id
        - name
        - description
        - field_type
        - required
        - default
        - validation_schema
      title: ClientProfileTemplateFieldSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````